local createCompositionKrishka = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/01_dock/main/anim/z_hatch/"
---------------------------------------------------------------------------------------
function Loader_01_Zoom_Hatch_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionKrishka,		                'action',		        0,0, 10, 320,240, false),
		},
		{
			function (element, textureName)
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionKrishka = function()
	local compositionKrishka = CreateCompositionSequence()
	local compositionDuration = 0.87587587587588
	compositionKrishka:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."Krishka_open.png")
	element:SetName("Layer_1")
	compositionKrishka:AddElement(element)
	element:SetHotSpot(235.800604588243, 205.867490962942)
	element:SetParentElement(compositionKrishka)
	element:SetXY(175.999999999995, 137.500000000006)
 
	element:SetAngle(0.9250245025)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.87587587587588)
	effector:SetKey(_TRACK_SX, 0.29195862529196, 0.0772357722035)
	effector:SetKey(_TRACK_SY, 0.29195862529196, 1)
	effector:SetKey(_TRACK_SX, 0.5005005005005, 1)
	effector:SetKey(_TRACK_SY, 0.5005005005005, 1)
	effector:SetKey(_TRACK_SX, 0.62562562562563, 1.04505712097697)
	effector:SetKey(_TRACK_SY, 0.62562562562563, 1)
	effector:SetKey(_TRACK_SX, 0.70904237570904, 1.01501904032566)
	effector:SetKey(_TRACK_SY, 0.70904237570904, 1)
	effector:SetKey(_TRACK_SX, 0.83416750083417, 1)
	effector:SetKey(_TRACK_SY, 0.83416750083417, 1)
	effector:SetKey(_TRACK_O, 0.25025025025025, 0)
	effector:SetKey(_TRACK_O, 0.33366700033367, 1)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."Krishka_close.png")
	element:SetName("Layer_2")
	compositionKrishka:AddElement(element)
	element:SetHotSpot(34.6325949032941, 284.346558080078)
	element:SetParentElement(compositionKrishka)
	element:SetXY(184.999999999996, 117)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.87587587587588)
	effector:SetKey(_TRACK_SX, 0, 1)
	effector:SetKey(_TRACK_SY, 0, 1)
	effector:SetKey(_TRACK_SX, 0.5005005005005, -0.6648956922162)
	effector:SetKey(_TRACK_SY, 0.5005005005005, 1)
	effector:SetKey(_TRACK_A, 0, 0.7853981625)
	effector:SetKey(_TRACK_A, 0.5005005005005, 1.02982137271075)
	effector:SetKey(_TRACK_O, 0.33366700033367, 1)
	effector:SetKey(_TRACK_O, 0.54220887554221, 0)
	effector:Play()
 
	compositionKrishka:Play()
 
	return compositionKrishka
end
 
